=== debian/control ===
Source: ros-jazzy-data-tamer-cpp
Section: misc
Priority: optional
Maintainer: Davide Faconti <davide.faconti@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ament-cmake, ament-cmake-googletest <!nocheck>, ros-jazzy-data-tamer-msgs, ros-jazzy-mcap-vendor, ros-jazzy-rclcpp, ros-jazzy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-jazzy-data-tamer-cpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-jazzy-data-tamer-msgs, ros-jazzy-mcap-vendor, ros-jazzy-rclcpp, ros-jazzy-ros-workspace
Description: DataTamer data logging library
